<?php
    $config = cmsConfig::getInstance();
    $core = cmsCore::getInstance();
?>
<!DOCTYPE html>
<html lang="ru">
<head>
    <title><?php $this->title(); ?></title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <?php $this->addMainCSS("templates/default/css/theme-text.css"); ?>
    <?php $this->addMainCSS("templates/{$this->name}/css/theme-layout.css"); ?>
    <?php $this->addMainCSS("templates/default/css/theme-gui.css"); ?>
    <?php $this->addMainCSS("templates/{$this->name}/css/theme-widgets.css"); ?>
    <?php $this->addMainCSS("templates/default/css/theme-content.css"); ?>
    <?php $this->addMainCSS("templates/default/css/theme-modal.css"); ?>
	<?php $this->addMainCSS("templates/{$this->name}/css/add.css"); ?>
    <?php $this->addMainJS("templates/default/js/jquery.js"); ?>
    <?php $this->addMainJS("templates/default/js/jquery-modal.js"); ?>
    <?php $this->addMainJS("templates/default/js/core.js"); ?>
    <?php $this->addMainJS("templates/default/js/modal.js"); ?>
    <?php if (cmsUser::isLogged()){ ?>
        <?php $this->addMainJS("templates/default/js/messages.js"); ?>
    <?php } ?>
    <!--[if lt IE 9]>
        <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
        <script src="http://css3-mediaqueries-js.googlecode.com/svn/trunk/css3-mediaqueries.js"></script>
    <![endif]-->
    <?php $this->head(); ?>
    <style><?php include('options.css.php'); ?></style>
	<link rel="stylesheet" type="text/css" href="/templates/<?php echo $this->name; ?>/accordion/accordion.css">
	<script type="text/javascript" src="/templates/<?php echo $this->name; ?>/accordion/accordion.js"></script>
</head>
<body id="<?php echo $device_type; ?>_device_type" class="main_cor">

    <div id="layout">

        <?php if (!$config->is_site_on){ ?>
            <div id="site_off_notice"><?php printf(ERR_SITE_OFFLINE_FULL, href_to('admin', 'settings', 'siteon')); ?></div>
        <?php } ?>

        <header>
		    <div class="header_nav">
				<?php if ($this->hasWidgetsOn('header')){ ?>
					<div class="widget_ajax_wrap" id="widget_pos_header">
						<?php $this->widgets('header', false, 'wrapper_plain'); ?>
					</div>
				<?php } ?>
				<?php if ($this->hasWidgetsOn('header-right')){ ?>
					<div class="widget_ajax_wrap header_search normal" id="widget_pos_header-right">
						<?php $this->widgets('header-right', false, 'wrapper_plain'); ?>
					</div>
				<?php } ?>
				<div class="header_search mobile">
				    <a class="header_search_link" href="/search">Поиск</a>
				</div>
			</div>
			
			<div class="header_cont">
                <div id="logo"><a href="<?php echo href_to_home(); ?>"></a></div>
				<?php if ($this->hasWidgetsOn('header_banner')){ ?>
					<div class="widget_ajax_wrap header_banner" id="widget_pos_header_banner">
						<?php $this->widgets('header_banner', false, 'wrapper_plain'); ?>
					</div>
				<?php } ?>
			</div>
        </header>

        <?php if($this->hasWidgetsOn('top')) { ?>
            <nav>
                <div class="widget_ajax_wrap" id="widget_pos_top">
					<?php $this->widgets('top', false, 'wrapper_plain'); ?>
				</div>
            </nav>
			<div class="clear"></div>
        <?php } ?>
        
        <div id="body">
		
		    <?php if ($config->show_breadcrumbs && $this->isBreadcrumbs()){ ?>
				<div id="breadcrumbs">
					<?php $this->breadcrumbs(array('strip_last'=>false)); ?>
				</div>
			<?php } ?>

            <?php
                $messages = cmsUser::getSessionMessages();
                if ($messages){
                    ?>
                    <div class="sess_messages">
                        <?php
                            foreach($messages as $message){
                                echo $message;
                            }
                        ?>
                    </div>
                    <?php
                }
            ?>
			
			<?php
				$wide_top_two = $this->hasWidgetsOn('wide-top-l') && $this->hasWidgetsOn('wide-top-r');
				$wide_top_one = ($this->hasWidgetsOn('wide-top-l') && !$this->hasWidgetsOn('wide-top-r')) || (!$this->hasWidgetsOn('wide-top-l') && $this->hasWidgetsOn('wide-top-r'));					
			?>
			
			<?php if($wide_top_two || $wide_top_one) { ?>
			    <div id="wide-top">
					<?php if ($this->hasWidgetsOn('wide-top-l')){ ?>
						<div class="widget_ajax_wrap wide-top-l<?php if($wide_top_one){ ?> wide_top_one<?php } ?>" id="widget_pos_wide-top-l">	
							<?php $this->widgets('wide-top-l'); ?>
						</div>
					<?php } ?>
					<?php if ($this->hasWidgetsOn('wide-top-r')){ ?>
						<div class="widget_ajax_wrap wide-top-r<?php if($wide_top_one){ ?> wide_top_one<?php } ?>" id="widget_pos_wide-top-r">
							<?php $this->widgets('wide-top-r'); ?>
						</div>
					<?php } ?>
				</div>
			<?php } ?>
			
			<?php
                $is_sidebar = $this->hasWidgetsOn('right-top', 'right-center', 'right-bottom');
				$is_sidebar_left = $this->hasWidgetsOn('sidebar-left-top', 'sidebar-left-center', 'sidebar-left-bottom');
				
				if ($is_sidebar && $is_sidebar_left) {
				    $section_class = 'section_center';
				} elseif ($is_sidebar && !$is_sidebar_left) {
				    $section_class = 'section_left';
				} elseif (!$is_sidebar && $is_sidebar_left) {
				    $section_class = 'section_right';
				} else {
				    $section_class = 'section_only';
				}
            ?>
			
            <?php if($is_sidebar_left) { ?>
				<div class="sidebar-left">
					<?php if ($this->hasWidgetsOn('sidebar-left-top')){ ?>
						<div class="widget_ajax_wrap" id="widget_pos_sidebar-left-top">
							<?php $this->widgets('sidebar-left-top'); ?>
						</div>
					<?php } ?>
					<?php if ($this->hasWidgetsOn('sidebar-left-center')){ ?>
						<div class="widget_ajax_wrap" id="widget_pos_sidebar-left-center">
							<?php $this->widgets('sidebar-left-center'); ?>
						</div>
					<?php } ?>
					<?php if ($this->hasWidgetsOn('sidebar-left-bottom')){ ?>
						<div class="widget_ajax_wrap" id="widget_pos_sidebar-left-bottom">
							<?php $this->widgets('sidebar-left-bottom'); ?>
						</div>
					<?php } ?>
				</div>
			<?php } ?>
			
            <section class="<?php echo $section_class ; ?>">
			
				<?php if ($this->hasWidgetsOn('left-top')){ ?>
					<div class="widget_ajax_wrap" id="widget_pos_left-top">
						<?php $this->widgets('left-top'); ?>
					</div>
				<?php } ?>
				
			    <?php
					$top_banners_two = $this->hasWidgetsOn('top-banner-left') && $this->hasWidgetsOn('top-banner-right');
					$top_banner_one = ($this->hasWidgetsOn('top-banner-left') && !$this->hasWidgetsOn('top-banner-right')) || (!$this->hasWidgetsOn('top-banner-left') && $this->hasWidgetsOn('top-banner-right'));					
                ?>
				
				<?php if($top_banners_two || $top_banner_one) { ?>
					<div id="top-banners">
						<?php if ($this->hasWidgetsOn('top-banner-left')){ ?>
							<div class="widget_ajax_wrap top-banner-left<?php if($top_banner_one) { ?> top-banner-one<?php } ?>" id="widget_pos_top-banner-left">
								<?php $this->widgets('top-banner-left'); ?>
							</div>
						<?php } ?>
						<?php if ($this->hasWidgetsOn('top-banner-right')){ ?>
							<div class="widget_ajax_wrap top-banner-right<?php if($top_banner_one) { ?> top-banner-one<?php } ?>" id="widget_pos_top-banner-right">
								<?php $this->widgets('top-banner-right'); ?>
							</div>
						<?php } ?>
					</div>
                <?php } ?>
				
                <?php if ($this->isBody()){ ?>
                    <article id="article">
						
						<?php if ($this->hasWidgetsOn('action')){ ?>
							<div class="widget_ajax_wrap" id="widget_pos_action">
								<?php $this->widgets('action'); ?>
							</div>
                        <?php } ?>
						
                        <div id="controller_wrap"><?php $this->body(); ?></div>
                    
					</article>
                <?php } ?>
				
				<?php if ($this->hasWidgetsOn('left-bottom')){ ?>
					<div class="widget_ajax_wrap" id="widget_pos_left-bottom">
						<?php $this->widgets('left-bottom'); ?>
					</div>
				<?php } ?>

            </section>

			<?php if($is_sidebar){ ?>
				<aside>
				<?php if ($this->hasWidgetsOn('right-top')){ ?>
					<div class="widget_ajax_wrap" id="widget_pos_right-top">
						<?php $this->widgets('right-top'); ?>
					</div>
				<?php } ?>
				<?php if ($this->hasWidgetsOn('right-center')){ ?>
					<div class="widget_ajax_wrap" id="widget_pos_right-center">
						<?php $this->widgets('right-center'); ?>
					</div>
				<?php } ?>
				<?php if ($this->hasWidgetsOn('right-bottom')){ ?>
					<div class="widget_ajax_wrap" id="widget_pos_right-bottom">
						<?php $this->widgets('right-bottom'); ?>
					</div>
				<?php } ?>
				</aside>
			<?php } ?>
			
			<?php if($this->hasWidgetsOn('three-left')) { ?>
			    <div id="three">
					<div class="widget_ajax_wrap" id="widget_pos_three-left">				
						<?php $this->widgets('three-left'); ?>
					</div>
					<div class="widget_ajax_wrap" id="widget_pos_three-center">	
						<?php $this->widgets('three-center'); ?>
					</div>
					<div class="widget_ajax_wrap" id="widget_pos_three-right">
						<?php $this->widgets('three-right'); ?>
					</div>					
			    </div>
			<?php } ?>
			
			<?php if($this->hasWidgetsOn('wide-bottom')) { ?>
			    <div id="wide-bottom">
					<div class="widget_ajax_wrap" id="widget_pos_wide-bottom">				
						<?php $this->widgets('wide-bottom'); ?>
					</div>					
			    </div>
			<?php } ?>

        </div>

        <?php if ($config->debug && cmsUser::isAdmin()){ ?>
            <div id="sql_debug" style="display:none">
                <div id="sql_queries">
                    <div id="sql_stat"><?php echo $core->db->getStat(); ?></div>
                    <?php foreach($core->db->query_list as $sql) { ?>
                        <div class="query">
                            <div class="src"><?php echo $sql['src']; ?></div>
                            <?php echo nl2br(htmlspecialchars($sql['sql'])); ?>
                            <div class="query_time"><?php echo LANG_DEBUG_QUERY_TIME; ?> <span class="<?php echo (($sql['time']>=0.1) ? 'red_query' : 'green_query'); ?>"><?php echo number_format($sql['time'], 5); ?></span> <?php echo LANG_SECOND10 ?></div>
                        </div>
                    <?php } ?>
                </div>
            </div>
        <?php } ?>

        <footer class="parent">
            <ul>
                <li id="copyright">
                    <a href="<?php echo $this->options['owner_url'] ? $this->options['owner_url'] : href_to_home(); ?>">
                        <?php html($this->options['owner_name'] ? $this->options['owner_name'] : cmsConfig::get('sitename')); ?></a>
                    &copy;
                    <?php echo $this->options['owner_year'] ? $this->options['owner_year'] : date('Y'); ?>
                </li>
                <li id="info">
                    <span class="item">
                        <?php echo LANG_POWERED_BY_INSTANTCMS; ?>
                    </span>
                    <span class="item">
                        <?php echo LANG_ICONS_BY_FATCOW; ?>
                    </span>
                    <?php if ($config->debug && cmsUser::isAdmin()){ ?>
                        <span class="item">
                            SQL: <a href="#sql_debug" title="SQL dump" class="ajax-modal"><?php echo $core->db->query_count; ?></a>
                        </span>
                        <?php if ($config->cache_enabled){ ?>
                            <span class="item">
                                Cache: <a href="<?php echo href_to('admin', 'cache_delete', $config->cache_method);?>" title="Clear cache"><?php echo cmsCache::getInstance()->query_count; ?></a>
                            </span>
                        <?php } ?>
                        <span class="item">
                            Mem: <?php echo round(memory_get_usage()/1024/1024, 2); ?> Mb
                        </span>
                        <span class="item">
                            Time: <?php echo number_format(cmsCore::getTime(), 4); ?> s
                        </span>
                    <?php } ?>
                </li>
				<?php if ($this->hasWidgetsOn('footer')){ ?>
					<li id="nav">
						<div class="widget_ajax_wrap" id="widget_pos_footer">
							<?php $this->widgets('footer', false, 'wrapper_plain'); ?>
						</div>
					</li>
				<?php } ?>
				
            </ul>
        </footer>

    </div>
	
	<?php if ($_SERVER["REQUEST_URI"] == "/"){ ?>
		<script>
			$(".menu_home").addClass("active");
		</script>
    <?php } else { ?>
		<script>
			$(function(){
				if ($("li").is(".menu_home")){
					$("nav select option[value='/']").removeAttr("selected");
				}
			});
		</script>
	<?php } ?>
	<?php if ($device_type != 'desktop'){ ?>
		<script>
			$(function(){
				if ($("li").is(".menu_home")){
					$("nav select option:first-child").remove();
				} else {
					$("nav select option:first-child").text(" <?php echo LANG_HOME; ?> ");
				}
			});
		</script>
	<?php } ?>
	<?php if ($device_type == 'mobile'){ ?>
		<script>
			$(function(){
				$(".widget_user_avatar div.avatar").click(function(){
				$(".header_nav .widget_user_avatar ul.menu").toggle("fast");
				$(".header_nav div.widget_user_avatar").toggleClass("active");
				return false;
				});
			});
		</script>
	<?php } ?>

</body>
</html>
